<?php
include('../common/parseargs.php');
include('../common/getObject.php');

include('../common/basicargcheck.php');

$USAGE=" --diskSafeID=<diskSafeID> --recoveryPointID=<recoveryPointID> ";

if ($argc < 2) {
        usage($argv[0],$USAGE);
        exit(1);
}

$DISKSAFEID=$args_array['diskSafeID'];
$RECOVERYPOINTID=$args_array['recoveryPointID'];

if(!$DISKSAFEID)
{
        echo "ERROR: --diskSafeID=<diskSafeID> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}

if(!$RECOVERYPOINTID)
{
        echo "ERROR: --recoveryPointID=<recoveryPointID> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}

$rpObj = getRecoveryPointByID($USER,$PASS,$HOST,$PORT,$DISKSAFEID,$RECOVERYPOINTID);

try{
	$client = new soapclient("https://$HOST:$PORT/RecoveryPoints?wsdl",
		array('login'=>"$USER", 
		'password'=>"$PASS",
		'trace'=>1
		 )
	);

	$response = $client->mergeRecoveryPoint(array('recoveryPoint'=>$rpObj)) ;
	var_dump($response);

	echo "Successfully executed mergeRecoveryPoint\n";

	exit(0);

} 
catch (SoapFault $exception)
{
	echo $exception;
	exit(1);
}


?> 
